## brltty 5.3.1

=== Android/Core/Makefile ===
# Android/Core/Makefile.  Generated from Makefile.in by configure.
###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2015 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU General Public License, as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any
# later version. Please see the file LICENSE-GPL for details.
#
# Web Page: http://brltty.com/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

SRC_TOP = ../../
SRC_DIR = .
# VPATH = .

BLD_TOP = ./../../
BLD_DIR = .

include $(SRC_TOP)common.mk

ANDROID_PACKAGE_NAME = BRLTTY_Core
ANDROID_PACKAGE_PATH = org.a11y.brltty.core
include $(SRC_TOP)Android/common.mk

ANDROID_CORE_LIBRARY = $(LIB_PFX)$(PACKAGE_TARNAME)_core.$(LIB_EXT)
ANDROID_JNI_LIBRARY = $(LIB_PFX)$(PACKAGE_TARNAME)_jni.$(LIB_EXT)

$(ANDROID_PACKAGE_FILE): libraries

libraries:
	cd $(BLD_TOP)$(PGM_DIR) && $(MAKE) $(ANDROID_CORE_LIBRARY) $(ANDROID_JNI_LIBRARY) $(BRAILLE_DRIVERS)
	$(INSTALL_DIRECTORY) $(ANDROID_PLATFORM_DIRECTORY)
	$(INSTALL_SCRIPT) $(BLD_TOP)$(PGM_DIR)/$(ANDROID_CORE_LIBRARY) $(ANDROID_PLATFORM_DIRECTORY)
	$(INSTALL_SCRIPT) $(BLD_TOP)$(PGM_DIR)/$(ANDROID_JNI_LIBRARY) $(ANDROID_PLATFORM_DIRECTORY)
	$(STRIP) $(ANDROID_PLATFORM_DIRECTORY)/*.$(LIB_EXT)

=== debian/changelog ===
brltty (5.3.1-2ubuntu2.1) xenial; urgency=medium

  * Update to restore BrlTTY auto/udev start functionality (LP: #1574538)
    - Re-add previously dropped udev rules to the BrlTTY package.
    - Create a systemd service to be used in the udev rules to launch BrlTTy
      when a display is connected.
    - Modify the existing BrlTTy service to be of type simple, so that the
      shell evaluation of /etc/default/brltty works, and the daemon stays
      running.
      - Modify the udev rules file to use the new brltty-udev service
  * Update gbp.conf for xenial branch

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 27 Apr 2016 10:35:13 +0200

brltty (5.3.1-2ubuntu2) xenial; urgency=medium

  * debian/rules: Call dh_installinit with --no-start, since we only use
    systemd, and to minimize possible rc.d issues on upgrade (LP: #1568137)

  [ Samuel Thibault ]
  * Make initramfs-tools dependency linux-only. LP: #1567658.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 11 Apr 2016 09:42:59 +1000

brltty (5.3.1-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Drop explicit build dependency on tcl8.4.
    - debian/brltty.service: Respect disabling of brltty in the /etc/default
      file. Turn this into a "Type=simple" job by running in the foreground so
      that the unit can tell apart "disabled" from "running".
  * debian/rules: Drop udev rules file, systemD and udev conflict, and cause
    brltty to malfunction

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 08 Apr 2016 15:55:55 +1000

brltty (5.3.1-2) unstable; urgency=high

  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * control: Build-depend on libsystemd-dev on linux-any (Closes: Bug#818241).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Mar 2016 01:36:39 +0100

brltty (5.3.1-1ubuntu3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:12 +0000

brltty (5.3.1-1ubuntu2) xenial; urgency=medium

  * Fix unbalanced quote in debian/brltty.service that was causing syntax
    errors and preventing a successful install or remove.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 11 Jan 2016 19:47:16 -0700

brltty (5.3.1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Drop explicit build dependency on tcl8.4.
    - debian/brltty.service: Respect disabling of brltty in the /etc/default
      file. Turn this into a "Type=simple" job by running in the foreground so
      that the unit can tell apart "disabled" from "running".

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 12 Jan 2016 09:44:27 +1100

brltty (5.3.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * brltty-udeb.sh: Preseed installing MATE desktop by default when brltty is
    used in d-i.
  * watch: Generalize URL.
  * Disable auto-detection of Cebra, Albatross, and BrailleMemo devices in the
    Debian Installer, since they are rare and conflict with other devices
    (Closes: #782732).
  * patches/git-18c9b3f: New patch to fix xbrlapi looping when brltty shuts
    down.
  * rules:
    - Remove /lib/$DEB_HOST_MULTIARCH/libbrlapi.so, link directly
    libbrlapi from /lib to /usr/lib (Closes: #766810).
    - Make binary-indep depend on brltty to actually install the binary-indep
    files (Closes: #805938).
  * brltty-udeb.prebaseconfig:
    - Enable screen reader in KDE.
    - Support 4th bootline parameter.
  * patches/git-8229038: New patch to add 4th bootline parameter support.


=== debian/control ===
Source: brltty
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/brltty.git
Vcs-Git: git://anonscm.debian.org/pkg-a11y/brltty.git
Homepage: http://mielke.cc/brltty/
Build-Depends: debhelper (>= 9.20150628), dh-systemd (>= 1.5),
               autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
               libasound2-dev [linux-any],
               python-all-dev (>= 2.7~0),
               python3-all-dev,
               cython,
               libgpmg1-dev [linux-any], libsystemd-dev [linux-any],
               libicu-dev,
               default-jdk [!m68k],
               doxygen, linuxdoc-tools, groff,
               flite1-dev, libncursesw5-dev,
               libxaw7-dev, x11proto-kb-dev, libxtst-dev,
               libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
               libbluetooth-dev [linux-any],
               libspeechd-dev (>= 0.8),
               libespeak-dev,
               hardening-wrapper,
               pkg-config
Build-Conflicts: libatspi-dev
Standards-Version: 3.9.7
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: brltty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), initramfs-tools (>= 0.40ubuntu30) [linux-any]
Recommends: python3
Replaces: libbrlapi1 (<< 3.7.2-7.1)
Suggests: brltty-speechd, brltty-x11,
          console-braille
Breaks: udev (<< 136-1)
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 The following display models are supported:
  * Alva/Optelec (ABT3xx, Delphi, Satellite, Braille System 40, BC 640/680)
  * Baum
  * BrailComm
  * BrailleLite
  * BrailleNote
  * Cebra
  * EcoBraille
  * EuroBraille (AzerBraille, Clio, Esys, Iris, NoteBraille, Scriba)
  * Freedom Scientific (Focus and PacMate)
  * Handy Tech
  * HIMS (Braille Sense, SyncBraille)
  * HumanWare (Brailliant)
  * Iris
  * LogText 32
  * MDV
  * Metec (BD-40)
  * NinePoint
  * Papenmeier
  * Pegasus
  * Seika
  * Tieman (Voyager, CombiBraille, MiniBraille, MultiBraille,
            BraillePen/EasyLink)
  * Tivomatic (Albatross)
  * TSI (Navigator, PowerBraille)
  * VideoBraille
  * VisioBraille
 .
 BRLTTY also provides a client/server based infrastructure for applications
 wishing to utilize a Braille display.  The daemon process listens for incoming
 TCP/IP connections on a certain port.  A shared object library for clients is
 provided in the package libbrlapi0.6.  A static library, header files and
 documentation is provided in package libbrlapi-dev.  Bindings to other
 programming languages can be found in libbrlapi-java (Java) and
 python3-brlapi (Python).

Package: libbrlapi0.6
Architecture: any
Multi-arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: braille display access via BRLTTY - shared library
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the shared library necessary to run programs which
 need to communicate with a braille display.

Package: libbrlapi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbrlapi0.6 (= ${binary:Version}), ${misc:Depends}
Conflicts: libbrlapi1-dev (<< 3.8)
Description: Library for communication with BRLTTY - static libs and headers
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the static library libbrlapi.a and header files
 in /usr/include/brltty/ necessary to compile programs for BrlAPI, a
 client-server based mechanism to remotely access a braille display.

Package: libbrlapi-jni
Architecture: any
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java bindings for BrlAPI (native library)
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides the architecture-dependant files required to
 access a braille terminal via BrlAPI from Java.

Package: libbrlapi-java
Architecture: all
Section: java
Depends: libbrlapi-jni (>= ${source:Version}), ${misc:Depends}
Description: Java bindings for BrlAPI
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides java classes to access a braille display via BrlAPI.

Package: brltty-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Flite speech driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the Festival Lite
 speech synthesis engine.

Package: brltty-speechd
Architecture: any
Recommends: speech-dispatcher
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Speech Dispatcher driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the speech-dispatcher
 speech synthesis server.

Package: brltty-espeak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - espeak driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the espeak
 speech synthesis engine.

Package: brltty-udeb
Architecture: any
Package-Type: udeb
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}, preseed-common
Description: Access software for a blind person using a braille display
 This is a small version of brltty, optimized for use on install media.
XB-Installer-Menu-Item: 1050

Package: brltty-x11
Architecture: any
Recommends: xbrlapi (>= 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Breaks: gnome-orca (<< 3.14.0-3~)
Description: Access software for a blind person using a braille display - X11 drivers
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains optional screen drivers for BRLTTY which require X11 or
 GNOME.

Package: xbrlapi
Architecture: any
Replaces: brltty-x11 (<< 4.3-3)
Breaks: brltty-x11 (<< 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Access software for a blind person using a braille display - xbrlapi
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package provides xbrlapi, a brltty X11 helper which handles proper
 keyboard simulation and window selection.

Package: python-brlapi
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Braille display access via BRLTTY - Python bindings
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Python 2.x bindings for BrlAPI.

Package: python3-brlapi
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Braille display access via BRLTTY - Python3 bindings
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=brltty
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
BRLAPI_VERSION=0.6
CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# java is not supported by m68k (200712)
ifeq ($(DEB_HOST_ARCH),m68k)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif

PYDEFAULTVER := $(shell pyversions --default --version)
PYVERS := $(shell pyversions --requested --version debian/control)
PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)

CONFIGURE_OPTIONS = --bindir=/sbin --mandir=/usr/share/man \
		    --without-viavoice --without-theta --without-swift

DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping

DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
	contracted-braille api pm-configfile gpm iconv icu x
UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
	--without-init-path --without-curses \
	--with-bluetooth-package=none \
	--with-service-package==none \
	$(patsubst %,--disable-%,$(UDEB_DISABLE))
UDEB_FILENAME=$(PACKAGE)-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
PRIORITY=$(shell grep '^Package: brltty-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONFIGURE_OPTIONS+=--without-usb-package
endif

export JAVA_HOME=/usr/lib/jvm/default-java

PATH := $(JAVA_HOME)/bin:$(PATH)

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	-mv $(CURDIR)/configure.orig $(CURDIR)/configure
	rm -f build-*stamp
	rm -rf build-brltty* build-py*
	rm -f Bindings/Python/bindings.o
	rm -f acdir/config.sub
	rm -f acdir/config.guess
	rm -f configure
	rm -f debian/initramfs/hooks/brltty
	rm -f Documents/BrlAPIref/html/jquery.js

	dh_clean

acdir/config.sub: /usr/share/misc/config.sub 
	cp -f $< $@
acdir/config.guess: /usr/share/misc/config.guess
	cp -f $< $@

configure:
	./autogen

config: build-brltty/config.status
build-brltty/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty
	cd build-brltty && ../configure --disable-python-bindings \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-python: $(PYVERS:%=build-py%/config.status)
build-py%/config.status:
	mkdir -p build-py$*
	cd build-py$* && \
	PYTHON=/usr/bin/python$* ../configure \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-udeb: build-brltty-udeb/config.status
build-brltty-udeb/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty-udeb
	cd build-brltty-udeb && \
	CFLAGS="$(UDEB_CFLAGS)" ../configure \
		$(CONFIGURE_OPTIONS) \
		$(UDEB_CONFIGURE_OPTIONS)

build-arch: build-brltty build-udeb
build-indep: build-arch build-python
build: build-indep build-arch

build-brltty: build-stamp
build-stamp: config
	dh_testdir

	DEB_BUILD_HARDENING=1 $(MAKE) -C build-brltty
	$(MAKE) -C build-brltty/Documents

	# doxygen inserts the current time into all the man-pages it creates without
	# a possibility to turn that off (AFAICT). So replacing the date with something
	# more reasonable: the timestamp of the last Debian changelog entry.
	# Closes: http://bugs.debian.org/708585
	sed --in-place -e \
		"s/\(.TH.* 3 \"\).*\(\" \"Version .*\)/\1$$(LC_ALL=C date --date='$(CL_DATE)' +'%a %b %d %Y')\2/" \
		build-brltty/Documents/BrlAPIref/man/man3/*

	# Likewise, make sure that the html does not contain the version number of
	# LinuxDoc-Tools to at least have a lot higher chance of the files being the
	# same.
	find build-brltty -name '*.html' -exec sed --in-place -e \
		's/\(<META NAME="GENERATOR" CONTENT="LinuxDoc-Tools\)[^>]*>/\1">/' \
		{} +

	touch $@

build-python: config-python $(PYVERS:%=build-py%-stamp)
build-py%-stamp: config-python
	dh_testdir

	DEB_BUILD_HARDENING=1 $(MAKE) -C build-py$*/Bindings/Python

	touch $@

build-udeb: build-udeb-stamp
build-udeb-stamp: config-udeb
	dh_testdir

	$(MAKE) -C build-brltty-udeb

	touch $@

# Build architecture-independent files here.
binary-indep: brltty

# Build architecture-dependent files here.
binary-arch: brltty brltty-udeb

brltty: build-brltty build-python
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C build-brltty install INSTALL_ROOT=`pwd`/debian/tmp
	set -e ; for pyver in $(PYVERS); do \
		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp ; \
	done

	mkdir -p `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv `pwd`/debian/tmp/lib/libbrlapi* `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	rm -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
	test -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION)
	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' < debian/initramfs/hooks/brltty.in > debian/initramfs/hooks/brltty
	dh_install	
	chmod +x debian/$@/usr/share/initramfs-tools/hooks/brltty
	chmod +x debian/$@/etc/brltty/Contraction/latex-access.ctb
	dh_installdocs
	dh_installexamples -p$@
	for file in Drivers/Braille/*/README*; \
		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
		done
	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
	dh_systemd_enable -p$@
	dh_systemd_enable -p$@ --name=brltty-udev debian/brltty-udev.service
	# -r because we don't want to lose the console on an upgrade
	dh_installinit -p$@ --no-start
	# and likewise for systemd
	dh_systemd_start -p$@ --restart-after-upgrade
	dh_installchangelogs Documents/ChangeLog
	dh_installman
	dh_lintian
	dh_python2 -ppython-brlapi
	dh_python3 -ppython3-brlapi
	mv debian/brltty/lib/brltty/libbrlttysfl.so \
		debian/brltty-flite/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyssd.so \
		debian/brltty-speechd/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyses.so \
		debian/brltty-espeak/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttybxw.so \
		debian/brltty-x11/lib/brltty
	mkdir -p debian/brltty-x11/etc/brltty/Input/xw
	mv debian/brltty/etc/brltty/Input/xw/all.txt \
		debian/brltty-x11/etc/brltty/Input/xw
	mv debian/brltty/usr/share/doc/brltty/XWindow.README \
		debian/brltty-x11/usr/share/doc/brltty-x11/
	mv debian/brltty/lib/brltty/libbrlttyxa2.so \
		debian/brltty-x11/lib/brltty
ifneq ($(DISABLE_JAVA_SUPPORT),1)
	mv debian/tmp/usr/share/java/brlapi.jar \
		debian/libbrlapi-java/usr/share/java
	chmod 0644 debian/libbrlapi-java/usr/share/java/brlapi.jar
endif
	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
	dh_link -p$@ -plibbrlapi$(BRLAPI_VERSION) -plibbrlapi-dev
	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
	dh_compress
	dh_fixperms
	dh_makeshlibs -n -p$@
	dh_makeshlibs -a -Nbrltty-udeb
	dh_installdeb -a -i -Nbrltty-udeb
	dh_shlibdeps -a -Nbrltty-udeb
	dh_gencontrol -a -i -Nbrltty-udeb
	dh_md5sums -a -i -Nbrltty-udeb
	dh_builddeb -a -i -Nbrltty-udeb

brltty-udeb: build-udeb
	dh_testdir
	dh_testroot
	dh_installdirs -pbrltty-udeb

	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb

	# temporary fix
	rm -Rf debian/brltty-udeb/share
	rm -Rf debian/brltty-udeb/usr/include

=== debian/watch ===
version=3
http://brltty.com/archive/ brltty-([0-9.]+)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) debian uupdate

## brltty 5.4

=== Android/Core/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # BRLTTY - A background process providing access to the console screen (when in
 #          text mode) for a blind person using a refreshable braille display.
 #
-# Copyright (C) 1995-2015 by The BRLTTY Developers.
+# Copyright (C) 1995-2016 by The BRLTTY Developers.
 #
 # BRLTTY comes with ABSOLUTELY NO WARRANTY.
 #

=== debian/changelog ===
brltty (5.4-7~bpo8+1) jessie-backports; urgency=medium

  * Upload to jessie-backports.
    - Revert daemon start notification to Jessie version.
  * Rules: disable format hardening for python build, it is set wrongly and
    FTBFS on Jessie.
  * Revert to espeak.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Mar 2017 13:38:56 +0100

brltty (5.4-7) unstable; urgency=medium

  * git-vario-ultra-restart.patch: Fix baum driver restarting when typing too
    fast on Vario Ultra device (Closes: Bug#857558).
  * disable-synth-callback.patch: Disable synth callback from espeak-ng to
    avoid crashes (Closes: Bug#854295).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 15:31:57 +0100

brltty (5.4-6) unstable; urgency=medium

  * patches/xbrlapi-nospam.patch: Prevent xbrlapi from retrying to connect to
    brltty when it failed at startup (Closes: Bug#851623).
  * Use canonical anonscm vcs URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jan 2017 03:10:25 +0100

brltty (5.4-4) unstable; urgency=medium

  [team upload]
  * start brltty only if all keyboards have been detected (Closes: #848008)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 13 Dec 2016 07:35:37 +0100

brltty (5.4-3) unstable; urgency=medium

  * patches/git-braillenote.patch: Upstream patch to fix USB autodetection of
    BrailleNote.
  * patches/git-manufacturer.patch: Upstream patch to use USB manufacturer to
    match braille devices with a generic USB ID, to avoid taking control of
    unrelated devices.
  * brltty-udeb.udev.rules: Match USB manufacturers too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Nov 2016 21:33:59 +0100

brltty (5.4-2) unstable; urgency=medium

  * org.a11y.brltty.metainfo.xml: Fix hexadecimal case (Closes: Bug#837640).
  * patches/{git-speech-crash.patch,wait-polkit,xbrlapi-setfocus.patch,
    xbrlapi.patch}: Refresh to actual upstream commit.
  * brltty-udeb.prebaseconfig: Add support for LXQt.
  * control: Switch to espeak-ng.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Nov 2016 00:42:06 +0100

brltty (5.4-1) unstable; urgency=low

  * Upload to unstable
  * control: Update Uploaders (Closes: Bug#840859).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Oct 2016 23:41:16 +0200

brltty (5.4-1~3) experimental; urgency=medium

  * patches/xbrlapi-setfocus.patch: Fix flush on xbrlapi setfocus.
  * 60xbrlapi: Fix typo (Closes: Bug#840183).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Oct 2016 13:41:04 +0200

brltty (5.4-1~2) experimental; urgency=medium

  * patches/xbrlapi.patch: Fix spurious brlapi connection reopens.
  * patches/defauth-keyfile.patch: Fix using both polkit and keyfile.
  * patches/defauth-polkit: Default to using both policykit and
    /etc/brlapi.key to authenticate brlapi clients.
  * brltty.postinst: Do not make /etc/brlapi.key readable by world any more,
    polkit should now be enough.
  * brltty.service: Drop filesystem access restrictions, brltty needs to
    access /var/lib/BrlAPI as well as preference files.
  * control: brltty now needs policykit installed.
  * patches/wait-polkit: Wait for policykit startup instead of failing to
    start BrlAPI.
  * NEWS: fix description of adding policykit support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Oct 2016 02:03:48 +0200

brltty (5.4-1~1) experimental; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)
  * brltty-udeb.udev.rules: Add new HumanWare USB ID.
  * brltty.install: Install eutp too.
  * control: Add libpolkit-gobject-1-dev build-dep. Drop hardening-wrapper
    dependency (closes: Bug#836617).
  * rules: Disable polkit from udeb. Set hardening.
  * brltty.install: Install polkit policy.
  * 60xbrlapi: Silence startup warning when brltty is not running.
  * org.a11y.brltty.metainfo.xml: Add appstream meta-info for isenkram
    (Closes: Bug#837640).
  * patches/git-speech-crash.patch: New upstream patch to fix crash when sd
    module set but speech-dispatcher not running (Closes: Bug#838764).
    Thanks Sebastian Humenda for the report.
  * rules: Fix some non-reproducibility by calling dh_strip_nondeterminism.
  * git-lsystemd.patch: Fix build with libsystemd.
  * patches/defauth-polkit: Default to using policykit to authenticate brlapi
    clients instead of /etc/brlapi.key.

  [ Mario Lang ]
  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Wed, 29 Jun 2016 16:30:01 +0200

brltty (5.3.1-3) unstable; urgency=high

  [ Samuel Thibault ]
  * brltty-udeb.postinst: Only preseed installing MATE desktop by default when
    brltty is really running.

  [ Cyril Brulebois ]
  * Bump urgency to high for the upcoming D-I Stretch Alpha 6 release.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 19 May 2016 21:12:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: brltty
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
-Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/brltty.git
-Vcs-Git: git://anonscm.debian.org/pkg-a11y/brltty.git
-Homepage: http://mielke.cc/brltty/
-Build-Depends: debhelper (>= 9.20150628), dh-systemd (>= 1.5),
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Uploaders: Samuel Thibault <sthibault@debian.org>
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/brltty.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/brltty.git
+Homepage: https://brltty.com
+Build-Depends: debhelper (>= 9.20150628), dh-lisp, dh-systemd (>= 1.5), dh-strip-nondeterminism,
                autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
                python-all-dev (>= 2.7~0),
@@ -15,29 +14,27 @@
                cython,
                libgpmg1-dev [linux-any], libsystemd-dev [linux-any],
                libicu-dev,
+               libpolkit-gobject-1-dev,
                default-jdk [!m68k],
                doxygen, linuxdoc-tools, groff,
                flite1-dev, libncursesw5-dev,
                libxaw7-dev, x11proto-kb-dev, libxtst-dev,
                libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
                libbluetooth-dev [linux-any],
-               libspeechd-dev (>= 0.8),
-               libespeak-dev,
-               hardening-wrapper,
-               pkg-config
+               libspeechd-dev,
+               libespeak-dev
 Build-Conflicts: libatspi-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: brltty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), initramfs-tools (>= 0.40ubuntu30) [linux-any]
-Recommends: python3
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1
+Recommends: python
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
           console-braille
-Breaks: udev (<< 136-1)
 Description: Access software for a blind person using a braille display
  BRLTTY is a daemon which provides access to the console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -75,8 +72,8 @@
  TCP/IP connections on a certain port.  A shared object library for clients is
  provided in the package libbrlapi0.6.  A static library, header files and
  documentation is provided in package libbrlapi-dev.  Bindings to other
- programming languages can be found in libbrlapi-java (Java) and
- python3-brlapi (Python).
+ programming languages can be found in cl-brlapi (Lisp), libbrlapi-java (Java)
+ and python-brlapi (Python).
 
 Package: libbrlapi0.6
 Architecture: any
@@ -210,6 +207,20 @@
  This package provides xbrlapi, a brltty X11 helper which handles proper
  keyboard simulation and window selection.
 
+Package: cl-brlapi
+Architecture: all
+Section: lisp
+Depends: ${misc:Depends}, cl-cffi, libbrlapi0.6
+Description: Common Lisp bindings for BrlAPI
+ BRLTTY is a daemon which provides access to the console (text mode)
+ for a blind person using a braille display.  It drives the braille
+ display and provides complete screen review functionality.
+ .
+ BrlAPI is a library which gives an application access to a braille display and
+ lets it write braille.
+ .
+ This package provides Common Lisp bindings vor BrlAPI.
+
 Package: python-brlapi
 Architecture: any
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -19,15 +19,16 @@
 PYVERS := $(shell pyversions --requested --version debian/control)
 PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)
 
+HARDENING = CPPFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)" CFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)" CXXFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)" LDFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)"
+
 CONFIGURE_OPTIONS = --bindir=/sbin --mandir=/usr/share/man \
 		    --without-viavoice --without-theta --without-swift
 
 DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
-DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
-UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
+UDEB_CFLAGS=-Os -fomit-frame-pointer
 UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
-	contracted-braille api pm-configfile gpm iconv icu x
+	contracted-braille api gpm iconv icu x polkit
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
 	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
 	--without-init-path --without-curses \
@@ -43,14 +44,11 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 
-PATH := $(JAVA_HOME)/bin:$(PATH)
-
 binary: binary-indep binary-arch
 
 clean:
 	dh_testdir
 	dh_testroot
-	-mv $(CURDIR)/configure.orig $(CURDIR)/configure
 	rm -f build-*stamp
 	rm -rf build-brltty* build-py*
 	rm -f Bindings/Python/bindings.o
@@ -73,7 +71,9 @@
 config: build-brltty/config.status
 build-brltty/config.status: configure acdir/config.sub acdir/config.guess
 	mkdir build-brltty
-	cd build-brltty && ../configure --disable-python-bindings \
+	cd build-brltty && \
+		$(HARDENING) \
+		../configure --disable-python-bindings \
 		$(CONFIGURE_OPTIONS) \
 		$(DEB_CONFIGURE_OPTIONS)
 
@@ -81,7 +81,9 @@
 build-py%/config.status:
 	mkdir -p build-py$*
 	cd build-py$* && \
-	PYTHON=/usr/bin/python$* ../configure \
+	PYTHON=/usr/bin/python$* \
+		$(HARDENING) \
+		../configure \
 		$(CONFIGURE_OPTIONS) \
 		$(DEB_CONFIGURE_OPTIONS)
 
@@ -101,7 +103,7 @@
 build-stamp: config
 	dh_testdir
 
-	DEB_BUILD_HARDENING=1 $(MAKE) -C build-brltty
+	$(MAKE) -C build-brltty
 	$(MAKE) -C build-brltty/Documents
 
 	# doxygen inserts the current time into all the man-pages it creates without
@@ -125,7 +127,7 @@
 build-py%-stamp: config-python
 	dh_testdir
 
-	DEB_BUILD_HARDENING=1 $(MAKE) -C build-py$*/Bindings/Python
+	DEB_BUILD_HARDENING=1 DEB_BUILD_HARDENING_FORMAT=0 $(MAKE) -C build-py$*/Bindings/Python
 
 	touch $@
 
@@ -170,11 +172,9 @@
 	for file in Drivers/Braille/*/README*; \
 		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
 		done
-	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
 	dh_systemd_enable -p$@
-	dh_systemd_enable -p$@ --name=brltty-udev debian/brltty-udev.service
 	# -r because we don't want to lose the console on an upgrade
-	dh_installinit -p$@ --no-start
+	dh_installinit -p$@ -r -- start 25 S .
 	# and likewise for systemd
 	dh_systemd_start -p$@ --restart-after-upgrade
 	dh_installchangelogs Documents/ChangeLog
@@ -205,6 +205,7 @@
 	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
 	dh_link -p$@ -plibbrlapi$(BRLAPI_VERSION) -plibbrlapi-dev
 	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
+	dh_strip_nondeterminism -a -i -Nbrltty-udeb
 	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
 	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
 	dh_compress
@@ -222,9 +223,3 @@
 	dh_testroot
 	dh_installdirs -pbrltty-udeb
 
-	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb
-
-	# temporary fix
-	rm -Rf debian/brltty-udeb/share
-	rm -Rf debian/brltty-udeb/usr/include
-

## brltty 5.5

=== Android/Core/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # BRLTTY - A background process providing access to the console screen (when in
 #          text mode) for a blind person using a refreshable braille display.
 #
-# Copyright (C) 1995-2016 by The BRLTTY Developers.
+# Copyright (C) 1995-2017 by The BRLTTY Developers.
 #
 # BRLTTY comes with ABSOLUTELY NO WARRANTY.
 #

=== debian/changelog ===
brltty (5.5-4ubuntu2) bionic; urgency=medium

  * Take commit from Debian (Samuel Thibault) to resolve FTBFS on bionic -
    thanks!
    -  debian/patches/41-java-bytecode-compat.patch: Bump java compatability to
       1.6 and later

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 17 Apr 2018 11:46:13 +0100

brltty (5.5-4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable (LP: #1741070).  Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      plymouth starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules file that uses brltty-udev.service to activate via systemd
    - Disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display
    - Don't install /etc/brltty.conf in the package
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Add gbp.conf file for git buildpackage
  * debian/brltty.sh: Update path /sbin/brltty to /bin/brltty

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 19 Jan 2018 15:32:11 +0100

brltty (5.5-4) unstable; urgency=medium

  * initramfs/hooks/brltty.in, initramfs/scripts/init-premount/brltty: Update
    /sbin/brltty paths.
  * control: Replace dh-systemd build-depends with debhelper (>= 9.20160709)
  * rules: Set DEB_HOST_ARCH only if not defined already.

  [ Mario Lang ]
  * git-ba42441d03c6145fe6859c90fb01b1fa16221a2f: New patch to prevent scancodes
    from generating spurious log messages.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Dec 2017 18:37:26 +0100

brltty (5.5-3) experimental; urgency=medium

  * rules: Let brltty get installed into /bin, so it can be run e.g. in X for
    accessing terminals.
  * brltty.links: Add compatibility symlink in /sbin/brltty.
  * brltty-udeb.dirs, brltty-udeb.sh, brltty.dirs, brltty.init,
    brltty.install, brltty.service, xbrlapi.install, 20-sbin.patch: Update
    accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Oct 2017 22:19:06 +0200

brltty (5.5-2) unstable; urgency=medium

  * Upload to unstable (Closes: #871155)
  * patches/git-07ecca2240c680373e9c2e5e38241edde9d1a677: Apply upstream patch
    to fix finnish table (Closes: Bug#864670).
  * control: Update maintainer mailing list.
  * libbrlapi-dev.install: Also install device-specific brldefs headers
    (Closes: Bug#869972).
  * patches/brldefs-install: Fix installing device-specific brldefs headers.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Oct 2017 22:09:51 +0200

brltty (5.5-1) experimental; urgency=medium

  * git-reproducible.patch: Make the build reproducible, thanks Chris West for
    the patch (Closes: Bug#859959).
  * New upstream release (Closes: #871155)
    - patches/defauth-keyfile.patch, defauth-polkit, git-braillenote.patch,
      git-lsystemd.patch, git-manufacturer.patch, git-reproducible.patch,
      git-speech-crash.patch, git-vario-ultra-restart.patch, wait-polkit,
      xbrlapi-nospam.patch, xbrlapi-setfocus.patch, xbrlapi.patch: Remove
      patches, merged upstream.
    - patches/20-sbin.patch: update patch.
    - org.a11y.brltty.metainfo.xml, 60xbrlapi, xbrlapi.desktop: Remove files,
      merged upstream.
  * patches/api_startup.patch: Fix race between socket setup and select().
  * brltty-udeb.udev.rules: Update.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 May 2017 01:43:35 +0200

brltty (5.4-7ubuntu6) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:52:21 +0000

brltty (5.4-7ubuntu5) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:39:27 +0000

brltty (5.4-7ubuntu4) artful; urgency=medium

  * Backport d/patches/fix-gcc7-ftbfs.patch from upstream to fix ftbfs by
    adding -Wno-format-security to CYTHON_CFLAGS. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 07 Aug 2017 14:47:05 +1200

brltty (5.4-7ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:16 +0000

brltty (5.4-7ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 14:48:14 +1200

brltty (5.4-7ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      plymouth starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules file that uses brltty-udev.service to activate via systemd
    - Disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display
    - Don't install /etc/brltty.conf in the package
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Add gbp.conf file for git buildpackage

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Mar 2017 09:12:54 +1100

brltty (5.4-6ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      plymouth starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules file that uses brltty-udev.service to activate via systemd
    - Disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: brltty
 Section: admin
-Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/brltty.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/brltty.git
 Homepage: https://brltty.com
-Build-Depends: debhelper (>= 9.20150628), dh-lisp, dh-systemd (>= 1.5), dh-strip-nondeterminism,
+Build-Depends: debhelper (>= 9.20160709), dh-lisp, dh-python, dh-strip-nondeterminism,
                autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
                python-all-dev (>= 2.7~0),
@@ -22,16 +23,16 @@
                libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
                libbluetooth-dev [linux-any],
                libspeechd-dev,
-               libespeak-dev
+               libespeak-ng-libespeak-dev
 Build-Conflicts: libatspi-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: brltty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1
-Recommends: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1, initramfs-tools (>= 0.40ubuntu30) [linux-any]
+Recommends: python3
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
           console-braille
